## WebKitDOMDocumentType

WebKitDOMDocumentType

## Functions

void | webkit_dom_document_type_remove ()
gchar * | webkit_dom_document_type_get_name ()
WebKitDOMNamedNodeMap * | webkit_dom_document_type_get_entities ()
WebKitDOMNamedNodeMap * | webkit_dom_document_type_get_notations ()
gchar * | webkit_dom_document_type_get_public_id ()
gchar * | webkit_dom_document_type_get_system_id ()
gchar * | webkit_dom_document_type_get_internal_subset ()

## Properties

WebKitDOMNamedNodeMap * | entities | Read
gchar * | internal-subset | Read
gchar * | name | Read
WebKitDOMNamedNodeMap * | notations | Read
gchar * | public-id | Read
gchar * | system-id | Read

## Types and Values

| WebKitDOMDocumentType

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMDocumentType

## Implemented Interfaces

WebKitDOMDocumentType implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_document_type_remove ()

    void
    webkit_dom_document_type_remove (WebKitDOMDocumentType *self,
                                     GError **error);

#### Parameters

self | A WebKitDOMDocumentType |
error | GError |

### webkit_dom_document_type_get_name ()

    gchar *
    webkit_dom_document_type_get_name (WebKitDOMDocumentType *self);

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A gchar

### webkit_dom_document_type_get_entities ()

    WebKitDOMNamedNodeMap *
    webkit_dom_document_type_get_entities (WebKitDOMDocumentType *self);

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A WebKitDOMNamedNodeMap.

[transfer none]

### webkit_dom_document_type_get_notations ()

    WebKitDOMNamedNodeMap *
    webkit_dom_document_type_get_notations
                                   (WebKitDOMDocumentType *self);

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A WebKitDOMNamedNodeMap.

[transfer none]

### webkit_dom_document_type_get_public_id ()

    gchar *
    webkit_dom_document_type_get_public_id
                                   (WebKitDOMDocumentType *self);

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A gchar

### webkit_dom_document_type_get_system_id ()

    gchar *
    webkit_dom_document_type_get_system_id
                                   (WebKitDOMDocumentType *self);

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A gchar

### webkit_dom_document_type_get_internal_subset ()

    gchar *
    webkit_dom_document_type_get_internal_subset
                                   (WebKitDOMDocumentType *self);

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A gchar

## Types and Values

### WebKitDOMDocumentType

    typedef struct _WebKitDOMDocumentType WebKitDOMDocumentType;

## Property Details

### The `“entities”` property

      “entities”                 WebKitDOMNamedNodeMap *

read-only WebKitDOMNamedNodeMap* DocumentType:entities.

Flags: Read

### The `“internal-subset”` property

      “internal-subset”          gchar *

read-only gchar* DocumentType:internal-subset.

Flags: Read

Default value: ""

### The `“name”` property

      “name”                     gchar *

read-only gchar* DocumentType:name.

Flags: Read

Default value: ""

### The `“notations”` property

      “notations”                WebKitDOMNamedNodeMap *

read-only WebKitDOMNamedNodeMap* DocumentType:notations.

Flags: Read

### The `“public-id”` property

      “public-id”                gchar *

read-only gchar* DocumentType:public-id.

Flags: Read

Default value: ""

### The `“system-id”` property

      “system-id”                gchar *

read-only gchar* DocumentType:system-id.

Flags: Read

Default value: ""